commit:     2643579cb481da729056ab9d330b4cf703ad2b32
Author:     Henning Schild <henning <AT> hennsch <DOT> de>
AuthorDate: Mon Apr 14 08:28:30 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 12 09:47:09 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2643579c

dev-python/pyroute2: add 0.9.2

Closes: https://bugs.gentoo.org/955066
Signed-off-by: Henning Schild <henning <AT> hennsch.de>
Part-of: https://github.com/gentoo/gentoo/pull/41590
Closes: https://github.com/gentoo/gentoo/pull/41590
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyroute2/Manifest              |  1 +
 dev-python/pyroute2/pyroute2-0.9.2.ebuild | 26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/dev-python/pyroute2/Manifest b/dev-python/pyroute2/Manifest
index 3601060e79c6..b50c3a77bf0d 100644
--- a/dev-python/pyroute2/Manifest
+++ b/dev-python/pyroute2/Manifest
@@ -1 +1,2 @@
 DIST pyroute2-0.8.1.tar.gz 435829 BLAKE2B 
8f309f5109863a91842e53b170e03e94d6a712bd4416774aee870965ef27c7bfaa16722b2f82b74ba12c934c3923ae411ee570e7afa8139a5e63fade05204c3f
 SHA512 
8f0843e2331bfb5601b9742fb1fbbd3e5b02575ea013ea4390b79f8988499bda200b35afec8f326b34b9d790bbe208c53ad148c11c260ef1fe9135650f746d62
+DIST pyroute2-0.9.2.tar.gz 470901 BLAKE2B 
64cf2fd568b95914cef50c0c77dc0e4fd72a9ab766fca357204b82ca68a37e544c58cd53835bfa95415e8677c61ec8db2561d02d48bff7ea2a39e5dc1058ac66
 SHA512 
b6012f4ab20bed3630a90bcd1672f9f5a467b0ddb6ea180d8bd11868ac2361898e2fa33fafcda857026384fde5952a03b5b7b9d1f2672b963019fd7b2a83a6c3

diff --git a/dev-python/pyroute2/pyroute2-0.9.2.ebuild 
b/dev-python/pyroute2/pyroute2-0.9.2.ebuild
new file mode 100644
index 000000000000..339212774a9d
--- /dev/null
+++ b/dev-python/pyroute2/pyroute2-0.9.2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A pure Python netlink and Linux network configuration library"
+HOMEPAGE="
+       https://github.com/svinota/pyroute2/
+       https://pypi.org/project/pyroute2/
+"
+
+LICENSE="|| ( GPL-2+ Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+# tests need root access
+RESTRICT="test"
+
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"

Reply via email to